import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
import "./video.less";
const Scr = (props: Store) => {
  const { homeStore } = props;
  const [val, setString] = useState<boolean>(false);
  useEffect(() => {
    homeStore.getTodo().then((res) => {
        let b = res.data.record.map((vs)=>vs.title)
        setString(b.join(","))
    });
  }, [homeStore, homeStore.showVideo]);
  return (
    <div className="scrolling-text">
      <span>
       {val}
      </span>
    </div>
  );
};

export default inject("homeStore")(observer(Scr));
